it-swarm.com.de

Wie aktualisiere ich mod_wsgi auf die neueste Version von Ubuntu 10.04?

Auf meinem Ubuntu-Server ist folgende Version installiert:

# dpkg -l | grep wsgi
ii  libapache2-mod-wsgi  2.8-2ubuntu1  Python WSGI adapter module for Apache

Wie bekomme ich die neueste Version 3. ?

4
webjunkie

Laden Sie es herunter und kompilieren Sie es. Es gibt ein ziemlich gutes README in ihrem Quellpaket. Sie können jedoch mit der Installation von build-essential Als Basissystem für das Kompilieren beginnen und dann einfach der README folgen

2
LassePoulsen

Sudo apt-get baut-dep libapache2-mod-wsgi

Und dann können Sie aus dem Quellcode eine Readme-Datei erstellen

1
sagarchalise

Debian hat libapache2-mod-wsgi , aber dies funktioniert nicht unter Ubuntu 10.04, da es von libpython2.7 abhängt, für das es kein Paket für 10.04 gibt.

Ich habe die Quelle von hier heruntergeladen:

$ wget http://modwsgi.googlecode.com/files/mod_wsgi-3.3.tar.gz

Dann einfach

./configure
make
Sudo make install
1
David Xia

Ich hatte mod_wsgi für python 2.7 installiert. Ich habe den folgenden Befehl ausgeführt, um 2.7 zu deinstallieren und 3.6 (my python version)) zu installieren.

Sudo apt-get install libapache2-mod-wsgi
0
esafresa

Was bei mir funktioniert hat, war:

Sudo aptitude install libapache2-mod-wsgi
0
user434136